<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;

use App\Models\Room;
use App\Observers\RoomObserver;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {
        Room::observe(RoomObserver::class);
    }
}
