<x-wireui:modal-card title="{{ $branchId ? __('branches.EditBranch') : __('branches.CreateNew') }}" blur wire:model.defer="showModal">
    <div class="space-y-4">
        <x-wireui:input label="{{__('branches.name')}}" wire:model.defer="fields.name" />
        <x-wireui:input label="{{__('branches.external_ip')}}" wire:model.defer="fields.external_ip" />
        <x-wireui:toggle label="{{__('branches.enable')}}" wire:model.defer="fields.enable" />
    </div>
    @unless($branchId)
        <x-wireui:textarea label="包廂資料" placeholder="請寫下包廂...範利<br>1樓;pc101,pc102,pc103" wire:model.defer="fields.roomNotes"/>
    @endunless
    <x-slot name="footer">
        <div class="flex justify-between w-full">
            <x-wireui:button flat label="{{__('branches.cancel')}}" wire:click="closeModal" />
            <x-wireui:button primary label="{{__('branches.submit')}}" wire:click="save" />
        </div>
    </x-slot>
</x-wireui:modal-card>
    